> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/elements.md).

# Elements

## GET /elements

> Get Elements

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Elements","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/elements":{"get":{"deprecated":true,"tags":["Elements"],"summary":"Get Elements","parameters":[{"schema":{"type":"integer","minimum":1,"maximum":1000,"default":1000},"in":"query","name":"limit"},{"schema":{"type":"integer","default":1},"in":"query","name":"page"},{"schema":{"type":"string","format":"Comma-Separated: ID or name"},"in":"query","name":"type","description":"Limit list by property asset type. See `GET /properties/assets/types`\n"},{"schema":{"type":"string","format":"Comma-Separated: ID"},"in":"query","name":"id","description":"Limit list by elements"}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"total":{"type":"integer"},"elements":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"UID"},"property":{"type":"string","description":"ID of property this element is linked to","format":"UID"},"asset":{"type":"string","deprecated":true,"description":"Use `property` instead","format":"UID"},"type":{"type":"string","description":"ID of element type","format":"UID"},"fields":{"type":"array","items":{"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/fieldResults/text"},{"$ref":"#/components/schemas/fieldResults/number"},{"$ref":"#/components/schemas/fieldResults/date"},{"$ref":"#/components/schemas/fieldResults/time"},{"$ref":"#/components/schemas/fieldResults/image"},{"$ref":"#/components/schemas/fieldResults/file"},{"$ref":"#/components/schemas/fieldResults/option"},{"$ref":"#/components/schemas/fieldResults/pin"},{"$ref":"#/components/schemas/fieldResults/qr"}]}}}}},"types":{"$ref":"#/components/schemas/elements/types"}}}}}}}}}}}
```

## GET /elements/types

> Get Element Types

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Elements","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/elements/types":{"get":{"deprecated":true,"tags":["Elements"],"summary":"Get Element Types","responses":{"200":{"content":{"application/json":{"schema":{"properties":{"types":{"$ref":"#/components/schemas/elements/types"}}}}}}}}}}}
```
